/** \file
 * This header do forward declarations of all classes of ATL.
 *
 * \author Abvent R&D Copyright (c) 2003
 * \author Richard Young
 * \version 2.0
 * \date 13/02/2003
 */

#ifndef AtlAllClasses_h
#define AtlAllClasses_h


/// namespace and typedef for the Abvent ATL library
/** \namespace AvAtl
 * We use this namespace for all members of the ATL library.
 * \author Abvent R&D Copyright (c) 2002-2003
 */
namespace  AvAtl {

class CAtlMgr;
class CAtlProperty;
class CAtlLight;
class IAtlLightsGroup;

class CAtlCamera;
class IAtlParallelView;
class IAtlPanorama;
class IAtlAnimation;
class CAtlViewObject;
class IAtlCameraPath;
class IAtlPanoNode;
class CAtlPanoLink;

class IAtlViewInfo;
class IAtlViewOpt;
class CAtlBackground;
class IAtlForeground;
class CAtlAtmosphere;
class IAtlCameraLight;
class CAtlAmbient;
class CAtlHeliodon;
class IAtlRendererInfo;
class IAtlInsertionObject;
class CAtlCamKey;
class IAtlDepthOfField;
class IAtlBBMgrData;

class IAtlClippingBox;

class IAtlImage;

class IAtlAtlObjectDefinition;
class IAtl3DPlant;

class IAtlObjectInstance;
class IAtlAtlObjectInstance;
class IAtl3DPlantRef;
class IAtlBBObjectInstance;

class	CAtlBoundingBox;

template<class T> class TAtlObjectMgr;


class CAtlUUID;

} // namespace  AvAtl

#endif
