/** \file
 * Header for the CAtlMatrix class
 *
 * \author Abvent R&D Copyright (c) 2002
 * \author Richard Young
 * \version 1.0
 * \date 02/03/2003
 */

#ifndef CAtlMatrix_h
#define CAtlMatrix_h


namespace  AvAtl {


/// Description of a 4x4 matrix
/** \class CAtlMatrix
 * The class CAtlMatrix is a structure use to describe a 4x4 matrix.
 *
 * \author Abvent R&D Copyright (c) 2002
 * \author Richard Young
 * \version 1.0
 * \date 02/03/2003
 */
class CAtlMatrix
{
public:	
	/// Constructor.
					CAtlMatrix() { identity(); }

	/// Getter
	double			getValue(unsigned int inLine, unsigned int inRow) const { return mValues[inLine][inRow]; }
	/// Setter
	void			setValue(unsigned int inLine, unsigned int inRow, double inValue) { mValues[inLine][inRow] = inValue; }

	void			identity()
					{
						for (unsigned int i = 0; i < 4; i++)
							for (unsigned int j = 0; j < 4; j++)
								mValues[i][j] = double(i == j);
					}

private:
	/// Values of the matrix.
	double			mValues[4][4];
};

}

#endif
