/** \file
 * Header for the CAtlTime interface
 *
 * \author Abvent R&D Copyright (c) 2002
 * \author Richard Young
 * \version 1.0
 * \date 30/05/2002
 */

#ifndef CAtlTime_h
#define CAtlTime_h


// We use this namespace for our library.
namespace  AvAtl {


/// Specification of a moment in a year.
/**
 * \interface CAtlTime
 *
 * \author Abvent R&D Copyright (c) 2002
 * \author Richard Young
 * \version 1.0
 * \date 04/02/2002
 */
class CAtlTime
{
public:
	/// Get the month value
	virtual int					getMonth() const = 0;
	/// Set the month value
	/** Value must be 1 and 12. */
	virtual void				setMonth(int inMonth) = 0;

	/// Get the day of the month
	virtual int					getDay() const = 0;
	/// Set the day of the month
	/** Value must be 1 and 31 (month dependent). */
	virtual void				setDay(int inDay) = 0;

	/// Get the hour of the day
	virtual int					getHour() const = 0;
	/// Set the hour of the day
	/** Value must be 0 and 23. */
	virtual void				setHour(int inHour) = 0;

	/// Get the minute of the hour
	virtual int					getMinute() const = 0;
	/// Set the minute of the hour
	/** Value must be 0 and 59. */
	virtual void				setMinute(int inMinute) = 0;

	/// Get the year
	virtual int					getYear() const = 0;

	/// Set the year
	virtual void				setYear(int inYear) = 0;

protected:
	/** You must not create or delete objects of this class.
	    This is the responsibility of the CAtlMgr class.*/
	virtual						~CAtlTime() {}
};


} // namespace  AvAtl

#endif
