/** \file
 * Header for the CAtlVector2D class
 *
 * \author Abvent R&D Copyright (c) 2002
 * \author Richard Young
 * \version 1.0
 * \date 04/02/2002
 */

#ifndef CAtlVector2D_h
#define CAtlVector2D_h

namespace  AvAtl {

/// Description of the 2d vector.
/** \class CAtlVector2D
 * The class CAtlVector is a structure use to describe the 2d space vector.
 *
 * \author Abvent R&D Copyright (c) 2002
 * \author Richard Young
 * \version 1.0
 * \date 04/02/2002
 */
class CAtlVector2D
{
public:	
	/// Constructors.
					CAtlVector2D(double x = 0.0, double y = 0.0)
						:	mX(x), mY(y)
						{}

	/// Getter for X
	double			X() const	{ return mX; }
	/// Setter for X
	void			X(double x) { mX = x; }
	/// Getter for Y
	double			Y() const	{ return mY; }
	/// Setter for Y
	void			Y(double y) { mY = y; }

private:
	/// Spacial X components.
	double		mX;
	/// Spacial Y components.
	double		mY;
};

} // namespace  AvAtl

#endif
