/** \file
 * Header for the EViewFlags enums
 *
 * \author Abvent R&D Copyright (c) 2002
 * \author Cong Loc Kieu
 * \version 1.0
 * \date 17/08/2000
 */

#ifndef EAtlViewFlags_h
#define EAtlViewFlags_h


// We use this namespace for our library.
namespace  AvAtl {

// We make our enums int, so you don't have to change your project settings.
#ifdef __MWERKS__
#pragma enumsalwaysint on
#endif


/// Enumerator for view flags
enum EAtlViewFlags
{
	eViewMain			= 0x00000001,
	eViewOn				= 0x00000002,
	eViewMainAndOn		= eViewMain + eViewOn,
	eViewInitialized	= 0x00000004,	// For Working Window views
	ePanoramaStart		= 0x00000020,	// This is the flag for panorama start point.
	eDeepOfFieldOn		= 0x00000080	// Flags for deep of field usage.
};

/// Type for view flags
/** A combination of the EAtlViewFlags value */
typedef int	AtlViewFlags;

#ifdef __MWERKS__
#pragma enumsalwaysint reset
#endif


} // namespace  AvAtl

#endif
