/*!
	\file	IAtlObjectLight.h
	\author	Abvent R&D Copyright (C) 2004
	\author	Guillaume Boulet-Gercourt
	\date	29/07/2004
	\brief	Header for the IAtlObjectLight interface
*/
#ifndef		IAtlObjectLight_h
# define	IAtlObjectLight_h

#ifndef AtlTypes_h
	#include "AvAtlTypes.h"
#endif
#ifndef TAtlObjectMgr_h
	#include "TAtlObjectMgr.h"
#endif
#ifndef	IAtlLightsGroup_h
	#include "IAtlLightsGroup.h"
#endif

// We use this namespace for our library.
namespace AvAtl {

#ifdef __MWERKS__
#pragma enumsalwaysint on
#endif

// Forward declaration
class IAtlAtlObjectDefinition;

/*!
	\addtogroup Atl Objects
	\{
*/

/*!
	\interface	IAtlObjectLight
	\brief Interface of lights object

	This interface shows the possibles interactions with atl lights objects
	Those lights are the same behavior than the basics atl objects.
*/
class	IAtlObjectLight
{
public:
	/// Type conversion
	virtual const IAtlAtlObjectDefinition*	asAtlObjectDefinition() const = 0;

	/// Type conversion
	virtual IAtlAtlObjectDefinition*		asAtlObjectDefinition() = 0;

	/*
	virtual tUUID			getLightGroupID() const = 0;
	virtual void			setLightGroupID(tUUID inID) = 0;
	*/
protected:
	/** You must not create or delete objects of this class.
	    This is the responsibility of the CAtlMgr class. */
	virtual	~IAtlObjectLight() {}
};

/*!
	\} // group Atl Objects
*/

#ifdef __MWERKS__
#pragma enumsalwaysint reset
#endif

}	// namespace AvAtl


#endif // IAtlObjectLight
