/*!
	\file	IAtlObjectLightRef.h
	\author	Abvent R&D Copyright (C) 2004
	\author	Guillaume Boulet-Gercourt
	\date	29/07/2004
	\brief	Header for the IAtlObjectLightRef interface
*/
#ifndef		IAtlObjectLightRef_h
# define	IAtlObjectLightRef_h

// Basic class.
#ifndef AtlTypes_h
	#include	"AvAtlTypes.h"
#endif
#ifndef	CAtlMgr_h
	#include	"CAtlMgr.h"
#endif

// We use this namespace for our library.
namespace AvAtl {


// Forward declaration
class IAtlObjectInstance;


/*!
	\addtogroup Atl Objects
	\{
*/


/*!
	\interface IAtlObjectLightRef
	\brief Interface of object lights references
*/
class IAtlObjectLightRef
{
public:
	/// Type conversion to IAtlObjectInstance
	virtual const IAtlObjectInstance*	asObjectInstance() const = 0;

	/// Type conversion to IAtlObjectInstance
	virtual IAtlObjectInstance*			asObjectInstance() = 0;



protected:
	/** You must not create or delete objects of this class.
	    This is the responsibility of the CAtlMgr class. */
	virtual							~IAtlObjectLightRef() {}
private:
};

/*!
	\} // group Atl Objects
*/

}		// namespace AvAtl


#endif // IAtlObjectLightRef_h
