/** \file
 * Header for the IAtlSkylight interface
 *
 * \author Abvent R&D Copyright (c) 2004
 * \author Thomas Donel
 * \version 1.0
 * \date 21/05/2004
 */

#ifndef IAtlSkylight_h
#define IAtlSkylight_h


#ifndef CAtlColor_h
	#include "CAtlColor.h"
#endif


// We use this namespace for our library.
namespace  AvAtl {


// We make our enums int, so you don't have to change your project settings.
#ifdef __MWERKS__
#pragma enumsalwaysint on
#endif


/// Specify a lens flare
/** \interface IAtlSkylight 
 *	Specify the skylight controls
 *
 * \author Abvent R&D Copyright (c) 2004
 * \author Thomas Donel
 * \version 1.0
 * \date 21/05/2004
 */


class IAtlSkylight
{
public:

	/// Control if the skylight is activated.
	virtual bool					getFlag() const = 0;
	/// Set if the skylight is activated.
	virtual void					setFlag(bool inFlag) = 0;

	/// Return the skylight factor.
	virtual double					getFactor() const = 0;
	/// Set the skylight factor.
	virtual void					setFactor(double inFactor) = 0;

	/// Return the skylight color.
	virtual const CAtlColor&		getColor() const = 0;
	/// Set the skylight color.
	virtual void					setColor(const CAtlColor& inColor) = 0;
};


#ifdef __MWERKS__
#pragma enumsalwaysint reset
#endif


} // namespace  AvAtl

#endif


